<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 17.10 Lucky Dice v0.5</title>
    <style>
        button {
            width: 70px;
            height: 30px;
            margin-top: 10px;
            background-color: brown;
            border-radius: 5px;
            color: white;
        }

        h2 {
            color: red;
            font-size: 10px;
        }
    </style>
</head>
<script>
    "use strict"
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    // hàm xử lý sự kiện click nút ném
    function onBtnNemClick(){
        console.log("Tung Xúc Xắc!!!");
        var vSoMoi = getRandomNumber();
        console.log("Số mặt xúc xắc là: "+ vSoMoi);

        getChanceImage(vSoMoi);

        getChanceMessage(vSoMoi);
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm lấy ngẫu nhiên số nguyên từ 1 đến 6
    function getRandomNumber(){
        var vSoBatKyTu1Den6 = Math.floor(Math.random()*6 +1);
        return vSoBatKyTu1Den6;
    }
    //Hàm thay đổi hành ảnh dice
    function getChanceImage(paramSoMatXucXac){
        var vImageDice = document.getElementById("image");
        if(paramSoMatXucXac === 1){
            vImageDice.src = "image/1.png";
        }
        else if(paramSoMatXucXac === 2){
            vImageDice.src= "image/2.png"
        }
        else if(paramSoMatXucXac === 3){
            vImageDice.src= "image/3.png"
        }
        else if(paramSoMatXucXac === 4){
            vImageDice.src= "image/4.png"
        }
        else if(paramSoMatXucXac === 5){
            vImageDice.src= "image/5.png"
        }
        else if(paramSoMatXucXac === 6){
            vImageDice.src= "image/6.png"
        }

    }
    //hàm thay đổi lời nhắn
    function getChanceMessage(paramSoMatXucXac){
        var vMessage = document.getElementById("h2");
        if(paramSoMatXucXac <= 3){
            vMessage.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!"
            vMessage.style.color = "orange";
        }
        else if(paramSoMatXucXac > 3){
            vMessage.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
            vMessage.style.color = "purple"
        }
    }

</script>

<body>
    <img src="image/people-playing-casino.jpg">
    <br>
    <h1 id="h1">Chào mừng đến với Lucky Dice Casino</h1>
    <br>
    <img src="image/dice.png" id="image" width="10%">
    <br>
    <button id="button" onclick="onBtnNemClick()">Ném</button>
    <br>
    <h2 id="h2"></h2>
</body>

</html>